<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="C:\Aurora_Oct20\RSM\eclipse\workspace-cascadeplus\org.eclipse.wst.rdb.models.sql\src\model\SQLModel.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="KeyWords" content="SQLSessionStatement,Class SQLSessionStatement,SQLModel,model SQLModel,">
<a href="../../../root.html" target=_top><IMG SRC="../../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>&lt;&lt;Interface&gt;&gt;&nbsp;SQLSessionStatement&nbsp;{Analysis}&nbsp;derived&nbsp;from:&nbsp;<a href="class404908a2008b.htm" target="contents_frame">SQLStatement</a></b></font></p>

<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Parent&nbsp;Package</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="cat4047743b009b.htm" target="contents_frame">Statements</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Abstract</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>No</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Export&nbsp;Control</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>PublicAccess</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Link&nbsp;Class&nbsp;for</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>None</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Class&nbsp;Kind</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>NormalClass</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Cardinality</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>n</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Space</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Concurrency</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>Sequential</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Persistence</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>No</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR></TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Operations</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Signature</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Class</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="op404908f600a0.htm" target="contents_frame">getSQL</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>String&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>getSQL&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class404908a2008b.htm" target="contents_frame">SQLStatement</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/34.jpg"BORDER=0><a href="op4193e07f0122.htm" target="contents_frame">setSQL</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>void&nbsp;<IMG SRC="../../../webviewer/34.jpg"BORDER=0>setSQL&nbsp;(String&nbsp;sqlText)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class404908a2008b.htm" target="contents_frame">SQLStatement</a></font></TD></TR>
</TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Associations</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>My&nbsp;Role</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>My&nbsp;Class</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Other&nbsp;Role</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Other&nbsp;Element</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../../looseends/ass3ed7e96d0133.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/priv.gif"BORDER=0><a href="../../../looseends/role3ed7e96e0171.htm" target="contents_frame">actionStatement</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class404908a2008b.htm" target="contents_frame">SQLStatement</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/priv.gif"BORDER=0><a href="../../../looseends/role3ed7e96e0173.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat4071d00f009f/class3ed7b9780253.htm" target="contents_frame">Trigger</a></font></TD></TR>
</TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Generalization&nbsp;Relationships</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Class</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Supplier</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../../webviewer/pub.gif"BORDER=0><a href="inh404f714600a1.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class404f711d03a5.htm" target="contents_frame">SQLSessionStatement</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class404908a2008b.htm" target="contents_frame">SQLStatement</a></font></TD></TR>
</TABLE><BR><BR>
<BR><p><font FACE="Arial, Geneva" SIZE=3><b>Property Settings</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Data Modeler</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>dmItem</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>DMName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsTable</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsView</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsDomain</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsSPPackage</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Synonymns</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>TableSpaceID</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceId</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceType</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>CorrelationName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>SelectClause</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsUpdateable</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>True</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>CheckOption</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>None</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsSnapShot</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsDistinct</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>PersistToServer</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsPackage</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
</TABLE><BR><BR>
</body>
</html>
